# BETTERDUELS by Francies
#
# Leave a review if you like the plugin!


# Command for players who leave the duel
punishment-command: "ban %player% 9d Left during a duel"  # %player% is the player who disconnected

# Kit Manager
# You can add more kits, just be careful with the configuration of default ones.
# For each kit, you can choose the items, item quantity, name, lore, and enchantments

kits:
  warrior:
    - material: NETHERITE_SWORD
      amount: 1
      name: "&cThe Mighty Sword"
      lore:
        - "&cA very mighty sword"
      enchantments:
        SHARPNESS: 5
        SWEEPING_EDGE: 3
        FIRE_ASPECT: 2
        UNBREAKING: 3
    - material: NETHERITE_AXE
      amount: 1
      name: "&bGloomy Axe"
      lore:
        - "&bSaid to be the lumberjack's axe from Clash Royale"
      enchantments:
        SHARPNESS: 5
        UNBREAKING: 3
    - material: NETHERITE_HELMET
      amount: 1
      name: "&eCrown of Thorns"
      lore:
        - "&eNo need to mention where it's from..."
      enchantments:
        PROTECTION: 4
        THORNS: 3
        UNBREAKING: 3

# World Manager
world_duel: "duel" # World where duels take place
world_endDuel: "world" # World to return to after duels

# Respawn location after the duel
players_end_location:
  x: 0.0
  y: 100.0
  z: 0.0
# Duel arena locations, you can put any arenas you want
arenas:
  arenas1:
    player1_location:
      x: 0.0
      y: 100.0
      z: 0.0
      yaw: 0.0
      pitch: 0.0
    player2_location:
      x: 10.0
      y: 100.0
      z: 10.0
      yaw: 180.0
      pitch: 0.0
  arenas2:
    player1_location:
      x: 20.0
      y: 100.0
      z: 20.0
      yaw: 0.0
      pitch: 0.0
    player2_location:
      x: 30.0
      y: 100.0
      z: 20.0
      yaw: 180.0
      pitch: 0.0

# Messages
messages:
  prefix: "&7[&6BetterDuels&7] "
  win: "&aYou won the duel!"
  defeat: "&cYou lost the duel."
  no-perm: "&cYou don't have permission to use this command."
  no-perm-target: "&c%player% doesn't have permission to duel." # %player% is the challenged player
  no-creative-spectator: "&cYou cannot duel while in creative or spectator mode"
  no-creative-spectator-target: "&c%player% cannot duel because they are in creative or spectator mode" # %player% is the challenged player
  win-by-abbadon: "&aYour opponent abandoned the duel. You win!"
  duel-usage-command: "&eUsage: /duel <player_name>"
  duel-accept-usage-command: "&eUsage: /duelaccept <player_name>"
  duel-deny-usage-command: "&eUsage: /dueldeny <player_name>"
  no-duel-command-during-duel: "&cYou can't start a new duel while already in one."
  player-not-online: "&cThe specified player is not online."
  error-duel-youself: "&cYou cannot duel yourself."
  already-in-a-duel: "&c%player% is already in a duel, wait for it to finish!" # %player% is the challenged player
  no-perm-kit: "&cYou don't have permission to use this kit."
  kit-received: "&aYou received the kit: %kit%." # %kit% is the name of the kit
  inventory-restore: "&aHere's your inventory back!"
  inventory-restore-empty: "&cYour inventory was empty"
  kit-selected: "&aYou selected the kit, please wait...!" # %kit% is the name of the kit selected
  kit-not-exist: "&cThe kit does not exist!"
  kit-not-selected: "&c%player% hasn't selected a kit!" # %player% is the player who hasn't selected a kit
  duel-cancelled: "&cThe duel has been canceled!"
  remember-select-kit: "&cYou haven't selected a kit!"
  duel-request-sent: "&aYou sent a challenge to %player%!" # %player% is the challenged player
  duel-request-received: "&aYou received a duel challenge from %player%" # %player% is the player who challenged you
  no-challenge: "&cYou haven't been challenged!"
  duel-request-denied-target: "&cYou denied the duel challenge from %player%!" # %player% is the challenged player
  duel-request-accepted-target: "&aYou accepted the duel challenge from %player%" # %player% is the challenged player
  duel-request-denied: "&cYour duel challenge to %player% was denied." # %player% is the player who denied your request
  duel-request-accepted: "&aYour duel challenge to %player% was accepted." # %player% is the player who accepted your request
  already-in-request: "&c%player% already has an active challenge!" # %player% is the challenged player
  duel-request-expired-target: "&cThe challenge you sent to %player% has expired!" # %player% is the challenged player
  duel-request-expired: "&cThe challenge from %player% has expired!" # %player% is the player who sent the challenge
  leaderboard-error: "&cAn error occurred while retrieving the leaderboard."
  leaderboard-eliminated: "&aClosest leaderboard eliminated!"
  no-arena-free: "&cWait for an arena to free up!"

GUI:
  name: "&cKITS"    # Name of the GUI
  size: 9           # Size of the GUI, must be multiples of 9
  kitConfigs:       # For every kit created above, insert the same name here
    warrior:        # Name of the kit
      material: "NETHERITE_SWORD" # Icon for the GUI representing the kit, default is PAPER
      color: "&c"   # Color for the kit name, use &
    archer:
      material: "BOW"
      color: "&a"

# Countdown management
countdown:
  title: "&a%count%"    # Title of the countdown, %count% for time
  subtitle: "&ePrepare yourself!"  # Subtitle of the countdown
  time-to-start: 5     # Countdown time in seconds

# Button configuration
duel:
  time-to-life: 60 # Time before a duel challenge expires in seconds

reward:
  amount: 1 # Amount of the reward
  material: DIAMOND # Item to be received as a reward
  command: "eco give %player% 200" # %player% is the player who won

# PAPI PLACEHOLDERS
  # %duel_player_n% n stand for the position, like 1,2,3,...
  # %duel_wins_n% n stand for the position, like 1,2,3,...
  # %duel_total_n% n stand for the position, like 1,2,3,...


# MySql
database:
  host: # Enter your database IP here
  databasename: # Name of the database
  username: # Username for database access, remember to grant permissions
  password: # Password for database access, remember to grant permissions
  flagssl: false # Specify if the database uses SSL flag
